

<div class="card shadow-sm mt-10" *ngIf="showTables">
    <div class="card-header">
        <h3 class="card-title">Data shared with Third-parties</h3>
    </div>
    <div class="card-body">
        <table class="table table-rounded table-striped border gy-7 gs-7">
            <thead>
                <tr class="fw-bold fs-6 text-gray-800 border-bottom border-gray-200">
                    <th>Data</th>
                    <th>Purpose</th>
                    <th>Active?</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let row of this.receivedDataShared" >
                    <td>{{row.dataType |titlecase}}</td>
                    <td>{{row.purpose |titlecase}}</td>
                    <td>    
                        <div class="form-check form-check-custom form-check-solid">
                            <input [checked]="row.active" (change)="checkboxChange($event, row.consentId, 'data_shared')" class="form-check-input" type="checkbox" value=""/>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

<!-- 
<div class="card shadow-sm" *ngIf="showTables">
    <div class="card-header">
        <h3 class="card-title">Data shared with Pimcity</h3>
    </div>
    <div class="card-body">
        <table class="table table-rounded table-striped border gy-7 gs-7">
            <thead>
                <tr class="fw-bold fs-6 text-gray-800 border-bottom border-gray-200">
                    <th>Data</th>
                    <th>Purpose</th>
                    <th>Active?</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let row of this.receivedData" >
                    <td>{{row.dataType |titlecase}}</td>
                    <td>{{row.purpose |titlecase}}</td>
                    <td>    
                        <div class="form-check form-check-custom form-check-solid">
                            <input [checked]="row.active" (change)="checkboxChange($event, row.consentId, 'data')" class="form-check-input" type="checkbox" value=""/>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div> -->

<ngx-spinner></ngx-spinner>
